var nMod_l=""
var jGfunciones="{}";
function cmodulo_l(nMod,accion) {
	nMod_l=nMod
	dSw==0
	if(accion!="g"){
		hide_search_list();
	}
	DetalleB="";
	tAcc=accion;
	if(tAcc=="v"){
		alert("Esta presentacion no admite la acción guardar");
		return;
	}
	//tId=campo;
	url="modulo="+nMod;
	url+="&tipo="+"l";
	url+="&accion="+"l";
	url+="&codemp="+VGempresa;
	console.log(accion+url)
	document.getElementById("lderecho").innerHTML="";
	var Rpage =VGRutaRiz+"controllers/modulos/"
	doAjax(Rpage,url,'resp_cmodulos_list_l','gets','0','Ccargar','');
}

function resp_cmodulos_list_l(ResTex,param) {
	console.log(ResTex);
	Detalle="";
	DetalleB="";
	DetalleM="";
	DetalleT="<p>"+nMod_l+"</p>";
	tMod="";
	vC="";
	vJfunciones='{"Datos":[{';
	var oJsonDatos = JSON.parse(ResTex);
	var nMod="",tCampo=0;
	if(oJsonDatos.Datos!="ERROR"){
	    if(ResTex.length>1){
			cad=oJsonDatos.Datos[0];
			console.log(Object.keys(cad));
			nMod=oJsonDatos.Datos[0].tabla.trim()
			DetalleT="<p>"+oJsonDatos.Datos[0].titmod.trim()+"</p>";
			DetalleM="<h4>"+oJsonDatos.Datos[0].titmod.trim()+"</h4><br>"
			tMod=oJsonDatos.Datos[0].nommod.trim();
			DetalleM+="<p>"+oJsonDatos.Datos[0].obsmod.trim()+"</p><br><p>Para Crear siga los siguientes pasos:</p><br>"
			JsonActividad=ResTex;
			var oJsonDatos = JSON.parse(JsonActividad);
	        var NJsonItem=oJsonDatos.Datos.length;
			vDiv=""
			iDet=0//para saber en que campo arranca el detalle
			swdet=0
			for (RowArray=0;RowArray<NJsonItem; RowArray++){
				if(oJsonDatos.Datos[RowArray].inicio){ swdet=1 }
				tCampo=RowArray;
				vCampo="c"+RowArray.toString()
				if(RowArray==0){
					Detalle+=oJsonDatos.Datos[RowArray].titulo+"<div id='"+oJsonDatos.Datos[RowArray].bloque+"' class='"+oJsonDatos.Datos[RowArray].clase+"'>"
					vDiv=oJsonDatos.Datos[RowArray].bloque.trim()
				}else{
					if(vDiv!=oJsonDatos.Datos[RowArray].bloque.trim()){
						if(vDiv=='bloquedet'){//para formularios que manejan detalle
							Detalle+='<a href="javascript:guardardetalle(\''+oJsonDatos.Datos[RowArray].nommod.trim()+'\',\''+iDet+'\',\''+(RowArray-1)+'\',\'c0\')">+ Agregar Item</a>';
							Detalle+="<div id='det_prod' class='form-msg'>...</div>"
						}
						Detalle+="</div>";
						Detalle+=oJsonDatos.Datos[RowArray].titulo+"<div id='"+oJsonDatos.Datos[RowArray].bloque+"' class='"+oJsonDatos.Datos[RowArray].clase+"'>"
						vDiv=oJsonDatos.Datos[RowArray].bloque.trim()
						}
					}
					Detalle+="<div class='"+oJsonDatos.Datos[RowArray].nomdiv+"' id='"+oJsonDatos.Datos[RowArray].nombre.trim()+"'"
					if(oJsonDatos.Datos[RowArray].campoadi.trim()!=""){
						Detalle+=" title='"+oJsonDatos.Datos[RowArray].campoadi.trim()+"'"
					}
					if(oJsonDatos.Datos[RowArray].chkocu==1 && tAcc!="r"){
						Detalle+="' style='display: none' "
					}
					Detalle+=">";
					if(oJsonDatos.Datos[RowArray].inicio.trim().length>3){//para buscar en los datos que se extraen
						Detalle+="<div id='buscador"+vCampo+"'></div>"
					}
					Detalle+=oJsonDatos.Datos[RowArray].htmlinicial.trim().replace('rrr',vCampo);
					Detlabel=""
					if(oJsonDatos.Datos[RowArray].nomdiv.trim()=="drag-area"){
						Detalle+="<h2>Arrastra y suelta imagenes</h2>"
						Detalle+="<span>0</span>"
						Detalle+="<button>Selecciona tus archivos</button>"
					}else{
						cDescripcion=oJsonDatos.Datos[RowArray].descripcion;
						console.log(oJsonDatos.Datos[RowArray].funcionlabel);
						if(oJsonDatos.Datos[RowArray].foreti.trim()!=""){
							if(oJsonDatos.Datos[RowArray].etiini.trim()=="table"){
								Detalle+='<a href="javascript:crear(\''+oJsonDatos.Datos[RowArray].lost.trim()+'\')">'
							}
							Detlabel+='<label for="'+oJsonDatos.Datos[RowArray].foreti.trim()+'"'+oJsonDatos.Datos[RowArray].funcionlabel.trim()+" >"
							if(oJsonDatos.Datos[RowArray].description!=''){
								Detlabel+="<span>"+oJsonDatos.Datos[RowArray].description+"</span>";
							}else{
								Detlabel+="<span>"+cDescripcion+"</span>";
							}
							
							Detlabel+="</label>"
							if(oJsonDatos.Datos[RowArray].etiini.trim()=="table"){
								Detalle+='</a>'
							}
						}else{
							if(oJsonDatos.Datos[RowArray].etiini.trim()=="table"){
								Detalle+='<a href="javascript:crear(\''+oJsonDatos.Datos[RowArray].lost.trim()+'\')">'
							}
							if(oJsonDatos.Datos[RowArray].nombre.substr(0,3)=='chk'){
							}else{
								if (oJsonDatos.Datos[RowArray].funcionlabel.length>=2){
									cFuncion=oJsonDatos.Datos[RowArray].funcionlabel.trim();
									if(oJsonDatos.Datos[RowArray].funcionlabel.includes("this")){
										cFuncion=cFuncion.replace("this",vCampo);
										console.log(cFuncion)
									}
									Detalle+='<a href="'+cFuncion+'" >'+cDescripcion+'</a>';
								}else{
									Detlabel+="<label for=''>"
									if(oJsonDatos.Datos[RowArray].description.length>=2){
									//	Detalle+=oJsonDatos.Datos[RowArray].description+"</label>";
										Detlabel+=oJsonDatos.Datos[RowArray].description+"</label>";
									}else{
									//	Detalle+=cDescripcion+"</label>";
										Detlabel+=cDescripcion+"</label>";
									}
								}
							}
							if(oJsonDatos.Datos[RowArray].etiini.trim()=="table"){
								Detalle+='</a>'
							}
						}
					}
					if(oJsonDatos.Datos[RowArray].funcion!=""){//Agregar lupa si es funcion y agregar nuevo si es chknew=1
						Detalle+="<i class='icon-arrow-with-circle-left:before'>&#128193</i>";
					}
					Detalle+="<"+oJsonDatos.Datos[RowArray].etiini+" id='"+vCampo+"' name='"+oJsonDatos.Datos[RowArray].nombre+"'"; if(oJsonDatos.Datos[RowArray].etiini=='select' && oJsonDatos.Datos[RowArray].chkvar==1){Detalle+=" multiple"};
					if(oJsonDatos.Datos[RowArray].tipo=="int"){
						Detalle+=" pattern='^[0-9]+' min='0' onkeypress='comprueba(this)' "//valido que solo sea numeros positivos
					}
					if(oJsonDatos.Datos[RowArray].funcion!=""){//para buscardor al escribir
						Detalle+=' onkeyup="buscador(\''+oJsonDatos.Datos[RowArray].funcion+'\',\'this\',\''+oJsonDatos.Datos[RowArray].chknew+'\')" '				//valido que solo sea numeros positivos
					}
					aReq=""
					aImg=""
					if(oJsonDatos.Datos[RowArray].nomdiv=='conte_foto'){
						aImg="archi_img"
					}
					if(oJsonDatos.Datos[RowArray].chkreq=="1" ){
						aReq+=" required "//valido que solo sea numeros positivos
					}
					if(vDiv=="bloquedet"){
						Detalle+=" class='bloquedet "+aReq+" "+tMod+" txtdata' "
						if( iDet==0){
							iDet=RowArray;
						}
					}else{
						Detalle+="class='"+tMod
						if(oJsonDatos.Datos[RowArray].chkdet=="1"){
							Detalle+=" general "	
						}
						if(aReq!=''){
							Detalle+=" "+aReq
						}
						if(aImg!=''){
							Detalle+=" "+aImg
						}
						Detalle+=" txtdata'"
					}
					Detalle+=" required ";
					if(oJsonDatos.Datos[RowArray].interactive.trim().length>3){
						Detalle+=oJsonDatos.Datos[RowArray].interactive.trim();
					}
					if(oJsonDatos.Datos[RowArray].inicio.trim().length>3){
						if(vJfunciones.length>12){vJfunciones+=",{";}
						vJfunciones+='"modulo":"'+oJsonDatos.Datos[RowArray].inicio.trim()+'",';
						vJfunciones+='"objeto":"'+vCampo+'",';
						
						if(oJsonDatos.Datos[RowArray].predeterminado.trim()!=""){
							vJfunciones+='"valor":"'+localStorage.getItem(oJsonDatos.Datos[RowArray].predeterminado.trim())+'",';
						}else{
							vJfunciones+='"valor":"",';
						}
						
						if(oJsonDatos.Datos[RowArray].condicion.trim()!=""){
							vJfunciones+='"condicion":"'+oJsonDatos.Datos[RowArray].condicion.trim()+'"';
						}else{
							vJfunciones+='"condicion":""';
						}
						vJfunciones+=',"modalidad":"'+oJsonDatos.Datos[RowArray].chkimg.trim()+'"';
						vJfunciones+=',"lost":"'+oJsonDatos.Datos[RowArray].lost.trim()+'"';
						vJfunciones+='}';
					}else{
						if(oJsonDatos.Datos[RowArray].predeterminado.trim()!="" ){
							//&& (VGrol=='docente' || VGrol=='estudiante')
							vPred=oJsonDatos.Datos[RowArray].predeterminado.trim()
							if((vPred=='docente' || vPred=='estudiante') && VGrol!='docente' && VGrol!='estudiante'){
							}else{
								Detalle+=" value='"+localStorage.getItem(oJsonDatos.Datos[RowArray].predeterminado.trim())+"' "
							}
						}
					}
					if(oJsonDatos.Datos[RowArray].lost.trim()!=""){
						Detalle+=' onblur="'+oJsonDatos.Datos[RowArray].lost.trim()+'"'
					}
					if(VGrol=='docente' || VGrol=='estudiante'){
						Detalle+=" disabled"
					}
						Detalle+=" >"
					
						if(oJsonDatos.Datos[RowArray].nombre.substr(0,3)=='chk'){
							Detlabel+="<label for='"+vCampo+"'  >"
							if(oJsonDatos.Datos[RowArray].description.length>=2){
								Detlabel+=oJsonDatos.Datos[RowArray].description+"</label>";
							}else{
								Detlabel+=oJsonDatos.Datos[RowArray].descripcion+"</label>";
							}
						}

					DetalleM+=RowArray;
					//***********************SI CLASE NO ES BLOQUEPH
					//if(oJsonDatos.Datos[RowArray].clase!="bloqueph"){
					//	Detalle+=Detlabel;
						
					//}
					if(oJsonDatos.Datos[RowArray].etiini=='select'){DetalleM+=") Seleccione: "
						}else{DetalleM+=") Digite: "}
					DetalleM+=oJsonDatos.Datos[RowArray].descripcion.trim()+"<br>"
					
					if(oJsonDatos.Datos[RowArray].extensiones.trim()!=""){
						Detalle+="<p> Extensiones permitidas: "+oJsonDatos.Datos[RowArray].extensiones+"</p>";	
						}
						Detalle+=oJsonDatos.Datos[RowArray].valorhtml.trim();	
					
					Detalle+="</"+oJsonDatos.Datos[RowArray].etifin+">";	
					Detalle+=oJsonDatos.Datos[RowArray].htmlfinal.trim().replace('rrr',vCampo);
					//Detalle+="</label>";//25-08-2023
					//if(oJsonDatos.Datos[RowArray].clase=="bloqueph"){//**********POR EL NUEVO CSS DE CLASE BLOQUEPH
						Detalle+=Detlabel;
					//}
					Detalle+="</div>";
					if(vDiv=='bloquedet' && RowArray==NJsonItem-1){
						Detalle+='<a href="javascript:guardardetalle(\''+oJsonDatos.Datos[RowArray].nommod.trim()+'\',\''+iDet+'\',\''+RowArray+'\',\'c0\')">+ Agregar Item</a>';
						Detalle+="<div id='det_prod' class='form-msg'>...</div>"
					}	
			}
			DetalleM+='<br>Luego de click en el icono <span class="icon-save" ></span>';
			DetalleB+='<a href="javascript:limpiar(\'' + localStorage.getItem("modulo") + '\');" id="bnuevo"><div class="circulo_sup"><span class="icon-circle-with-plus" ></span></div></a>'
			if(tAcc!="l"){
				DetalleB+='<a href="javascript:rmodulo(\'' + localStorage.getItem("modulo") + '\',\'' + tCampo + '\',\'' + tId + '\',\''+tAcc+'\',\'\',\'\',\'\',\''+localStorage.getItem("tipo")+'\');" id="bguardar"><div class="circulo_sup"><span class="icon-save" ></span></div></a>'
			}         
		    DetalleB+='<a href="javascript:cmodulo(\'' + localStorage.getItem("modulo") + '\',\'' + vC + '\',\'' + vC + '\',\'l\',\'\',\'\',\'\',\''+localStorage.getItem("tipo")+'\');" id="blistar"><div class="circulo_sup"><span class="icon-list" ></span></div></a>'
	
			Detalle+="</div>";	
		}else{
			Detalle+="</div>";
			
			DetalleB+='<a href="javascript:limpiar(\'' + localStorage.getItem("modulo") + '\');" id="bnuevo"><div class="circulo_sup"><span class="icon-circle-with-plus" ></span></div></a>'
			alert("no registro");
			
	    }
	}else{
		//poner opcion de limpiar filtros de busqueda
		DetalleB+='<a href="javascript:limpiar(\'' + localStorage.getItem("modulo") + '\');" id="bnuevo"><div class="circulo_sup"><span class="icon-circle-with-plus" ></span></div></a>'
    }
	if(VGrol=='empleado'){
		DetalleB+='<a href="javascript:cmodulo(\'' + localStorage.getItem("modulo") + '\',\'' + vC + '\',\'' + vC + '\',\'g\',\''+vGtam+'\',\''+vGcampoi+'\',\''+vGcampof+'\');" id="bnuevo">	<div class="circulo_sup"><span class="icon-circle-with-plus" ></span></div></a>'
			DetalleB+='<a href="javascript:rmodulo(\'' + localStorage.getItem("modulo") + '\',\'' + tCampo + '\',\'' + tId + '\',\''+tAcc+'\');" id="bguardar"><div class="circulo_sup"><span class="icon-save" ></span></div></a>'
            DetalleB+='<a href="javascript:imodulo(\'' + localStorage.getItem("modulo") + '\',\'' + vC + '\',\'' + vC + '\',\'' + vC + '\');" id="blistar"><div class="circulo_sup"><span class="icon-list" ></span></div></a>'

			tMod=vGmodulo;	
	}
	
	Detalle=rpt_textos(Detalle);
	DetalleT=rpt_textos(DetalleT);
	DetalleSup="<div class='superior'><div id='sup_izquierda' class='sup_izquierda'>"+DetalleT+"</div><div id='sup_derecha' class='sup_derecha'></div></div>"
	Detalle+='<div id="reporte" style="background-color:white;"></div>'
	Detalle+="<div id='div_tabla' class='bloqueh'>..</div><div id='mdi_resumen' class='bloqueh'>..</div>"
		
	vJfunciones+="]}";
	
	
	
	console.log(Detalle+DetalleB)
	document.getElementById("mdi_botones").innerHTML=DetalleSup
	document.getElementById("detcuerpo").innerHTML=Detalle;
	
	document.getElementById("sup_izquierda").innerHTML=DetalleT;
	document.getElementById("sup_derecha").innerHTML=DetalleB;
	
	
	
	console.log(DetalleT)
	console.log(Detalle)
	
	document.getElementById("mdi_tablero").style.height="100%"//estaba en 80% al 11-01-2023
	document.getElementById("mdi_tablero").style.width="100%"
	document.getElementById("ibuscar").style.top="50px"
	//if(localStorage.getItem("modulo")=='ordenserviciot' || localStorage.getItem("modulo")=='marcas'){
	//	elem=document.getElementsByClassName('bloqueph')
	//}else{
	//	elem=document.getElementsByClassName('bloque')
	//}
	//elem[0].style.width=vGtam;
	
	console.log(vJfunciones.length)
	
	
	lmodulo(nMod_l,'','','');
}


function lmodulo(mod,tCampo,campo,accion) {
	swcond=0
	var jSondet=document.getElementsByClassName('general');
	nTam=jSondet.length;
	camposdet=""
	condicion=""
	for(var i=0;i<nTam;i++){
		if(jSondet[i].name==campo){
			nValor=document.getElementById(jSondet[i].id).value
			condicion+=" and "+mod+"."+campo+"='"+nValor+"' "
		}
	}
	url="modulo="+mod;
	url+="&codemp="+localStorage.getItem("Codempresa")
	tList=vGmodulo;
	tAcc=accion;
	vtipo="l";
	tId=campo;
	if(mod=="facturae"){url+="&campo="+document.getElementById('c0').value;}else{url+="&campo="+campo;} 
	url+="&accion="+accion;
	url+="&nit="+localStorage.getItem("NitEmpresa");
	url+="&identidad="+localStorage.getItem("identidad");
	url+="&tipo="+vtipo;
	url+="&condicion="+condicion;
	url+="&usuario="+localStorage.getItem("Usuario");
	url+="&rol="+VGrol;
	vC=" ";
	vGmodulo=mod
	//document.getElementById("bguardar").href="javascript:rmodulo(\'" + mod + "\',\'" + tCampo + "\',\'" + campo + "\',\'"+tAcc+"\');"
	console.log(url);
	var Rpage =VGRutaRiz+"controllers/registros/"
	if(tAcc==""){
		doAjax(Rpage,url,'resp_registros_listl','gets','0','Ccargar');
	}else{
		if(mod=="facturae"){
			doAjax(Rpage,url,'resp_registros_iteml','gets','0','Ccargar');
		}else if(accion=="lat"){
			doAjax(Rpage,url,'resp_registros_latl','gets','0','Ccargar');
		}else{//doAjax('../../controllers/registros/',url,'resp_registros_factura','gets','0','Ccargar');
			doAjax(Rpage,url,'resp_registros_iteml','gets','0','Ccargar');
		}
	}
}
function resp_registros_latl(ResTex) {
	console.log(ResTex)
	var oJsonDatos = JSON.parse(ResTex);
	if(oJsonDatos.Datos!="ERROR"){
	    if(ResTex.length>1){
		}
		cad=oJsonDatos.Datos[0];
		Detalle="<p><p>"+"<table>"
		Object.keys(cad).forEach((valor)=>{
				nPos=valor.search('_')//aqui es para dependiento si encuentro este caracter, tomarlo como titulo
				cTit=valor
				if (nPos>0){
					cTit=cTit.replace("_", " ");
				}
				Detalle+="<th>"+cTit+"</th>"
				})
		JsonActividad=ResTex;
		var oJsonDatos = JSON.parse(JsonActividad);
        var NJsonItem=oJsonDatos.Datos.length;
		for (RowArray=0;RowArray<NJsonItem; RowArray++){	
			cad=oJsonDatos.Datos[RowArray];	
			Detalle+="<tr>";	
			for (i in cad){
				cNom=i;
				cDet=rpt_textos(cad[i]);
				Detalle+="<td>"+cDet+"<td>"
			}
			Detalle+="</tr>"
		}
		Detalle+="</table>"
		console.log(Detalle)
		Detalle=rpt_textos(Detalle);
		document.getElementById("lderecho").innerHTML=Detalle;
		document.getElementById("lderecho").style.minWidth="300px";
		document.getElementById("lderecho").style.overflow="scroll";
		document.getElementById("lderecho").style.top="100px"
	}else{
		document.getElementById("lderecho").innerHTML="";
		document.getElementById("lderecho").style.minWidth="0px";
		document.getElementById("lderecho").style.overflow="none";
	}
}
function resp_registros_iteml(ResTex) {
	console.log(ResTex)
	var el = document.getElementById("detcuerpo");
	console.log("detalle: "+el.innerHTML);
	var oJsonDatos = JSON.parse(ResTex);
	
	if(oJsonDatos.Datos!="ERROR"){
	    if(ResTex.length>1){
		}
		cad=oJsonDatos.Datos[0];
		
		console.log(cad);
		Detalle="<table>"
		for (i in cad){
			cNom=i;
			console.log(cNom+cad[i]);
			if(tAcc=="v"){
				//cDet=cad[i].replace('±','+');
				cDet=rpt_textos(cad[i]);
				Detalle+="<tr><td><strong>"+cNom+"</strong></td><td>"+cDet+"<td></tr>"
			}else{
				//cDet=cad[i].replace('±','+');
				cDet=rpt_textos(cad[i]);
				campo=document.getElementsByName(cNom);
				console.log(campo);
				if(cNom.substr(0,3)=="chk" || cNom.substr(0,3)=="exc" ){
					if(cad[i]==1){
						campo[0].checked =true;
					}else{
						campo[0].checked =false;
					}
					//alert(cad[i])
				}else{ 
					campo[0].value=cDet;
					
				}
			}
		}
		Detalle+="</table>"
		//vRep="±"
		//Detalle=Detalle.replace(new RegExp(vRep,"g") ,"+");
		Detalle=rpt_textos(Detalle);
		if(tAcc=="v"){
			console.log(Detalle)
			document.getElementById("reporte").style.height="5%";
			document.getElementById("reporte").style.display="none";
			document.getElementById("detcuerpo").innerHTML=Detalle;
		}
		if(sessionStorage.getItem('tipo')=='TRS'){
			mostrar_detalle("c1")
		}
	}
}



function resp_registros_listl(ResTex) {
	console.log(ResTex);
	vC="";
	var oJsonDatos = JSON.parse(ResTex);
	DetalleUl="";
	Detalle="";
	if(oJsonDatos.Datos!="ERROR"){
	    if(ResTex.length>1){
				Detalle="<div class='prueba'><div class='table-title' ><a href='#'>"+"Listado de "+tList+"</a><div class='ctn_icon_search' ><a href='javascript:view_search_list();' ><i class='icon-magnifying-glass' id='icon_search_list' ></i></a></div></div><div id='ctn_barra_search' disabled><input type='text' id='tsearch_list'  onKeyUp='search_list()' placeholder='¿Qué deseas buscar?'></div><ul id='box_search'></ul><a href='javascript:hide_search_list();'><div id='cover_ctn_search' ></div> </a><div class='conte_table' >"
		
			console.log(tAcc);
			if(tAcc=="v"){
				Detalle+="<table id='customers' class='table_invertida'>";
			}else{
				Detalle+="<table id='customers' class='table table-bordered order-table '>";
			}
			
			console.log(Detalle);
			Detalle+="<tr>";
			cad=oJsonDatos.Datos[0];
			console.log(Object.keys(cad));
			Detalle+="<th>Opciones</th>";
			Object.keys(cad).forEach((valor)=>{
				Detalle+="<th>"+valor+"</th>"
				})
			Detalle+="</tr>";
			JsonActividad=ResTex;
			var oJsonDatos = JSON.parse(JsonActividad);
	        var NJsonItem=oJsonDatos.Datos.length;
			var cNrov="";
			for (RowArray=0;RowArray<NJsonItem; RowArray++){
				cad=oJsonDatos.Datos[RowArray];	
				Detalle+="<tr>";
				tCampo=0;
				cCod=oJsonDatos.Datos[RowArray].Id;
				if(VGrol=='empleado' ){
					if(vGmodulo=="volantesnom"){
						cNrov=cad['nrocmp'].trim();
						vrutanom="http://miayudaapp.com/views/volante.html?empresa="+VGempresa;
						vrutanom+="&documento='"+cNrov+"'";
						vrutanom+="&rol="+VGrol;
						vrutanom+="&modulo="+vGmodulo;
						vrutanom+="&identidad="+localStorage.getItem("identidad");
						Detalle+='<td><div class="btopciones"><a href="'+vrutanom+'" target="_blank"><div class="circulo_sup"><span class="icon-eye" ></span></div></a>'

					}
					if(vGmodulo=="notificaracuerdo"){
						cNrov=cad['nrocmp'].trim();
						nVrl=
						vrutanom="https://web.whatsapp.com/send?phone=57"+cad['celper']+"&text=Recuerde compromiso por$"+cad['vlrpgs']+" de la factura:"+cNrov
						Detalle+='<td><div class="btopciones"><a href="'+vrutanom+'" target="_blank"><div class="circulo_sup"><span class="icon-eye" ></span></div></a>'

					}
					
				}else{
					Detalle+='<td><div class="btopciones"><a href="javascript:imodulo(\'' + sessionStorage.getItem("modulo")  + '\',\'' + tCampo + '\',\'' + cCod + '\',\'v\',\'' + vGtam + '\');"><div class="circulo_sup"><span class="icon-eye" ></span></div></a>'
					Detalle+='<a href="javascript:emodulo(\'' + sessionStorage.getItem("modulo") + '\',\'' + tCampo + '\',\'' + cCod + '\',\'e\',\'' + vGtam + '\');"><div class="circulo_sup"><span class="icon-edit" ></span></div></a>'
					Detalle+='<a href="javascript:imodulo(\'' + sessionStorage.getItem("modulo")  + '\',\'' + cCod + '\',\'d\');"><div class="circulo_sup"><span class="icon-erase" ></span></div></a>'
					cRpdf=VGRutaRiz+"report/"+sessionStorage.getItem('modulo')+".php?id="+cCod+"&empresa="+VGempresa
					Detalle+='<a href="javascript:env_pdf(\'' + cRpdf+'\');"><div class="circulo_sup"><span class="icon-print" ></span></div></a>'				
				}
				Detalle+="</div></td>";
				
				for(d in cad){
					//console.log(d)
					if(cad[d].substring(0,4)=="http" || cad[d].substring(0,3)=="www" || d.search('archivo')!=-1 ){
						if(d.search('archivo')!=- 1){
							Detalle+="<td><a href='"+"../archivos/"+localStorage.getItem("Codempresa").toLowerCase()+"/"+vGmodulo.toLowerCase()+"/"+cad[d]+"' target='_blank'>"+cad[d]+"</a></td>";
						}else{
							Detalle+="<td><a href='"+cad[d]+"' target='_blank'>"+cad[d]+"</a></td>";
						}
					}else{
						Detalle+="<td><span>"+cad[d]+"</span></td>";
					}
					if(VGrol=='empleado' && d=='nrocmp' ){
						
					}
					if(d=='nombre'){
						DetalleUl+="<li><div class='d_search'><a href='#'><i class='icon-magnifying-glass'></i>"+cad[d]+'</a><a href="javascript:nmodulo(\''+ tList+ '\',\'nnn\',\'' + cad['Id'] + '\',\'e\');"><span class="icon-edit"></span></a>';
						DetalleUl+='</a><a href="javascript:emodulo(\''+ sessionStorage.getItem("modulo")+ '\',\'' + cad['Id'] + '\',\'d\');" class="a_search"><span class="icon-erase"></span></a>';
						DetalleUl+='</a><a href="javascript:imodulo(\''+ tList+ '\',\'nnn\',\'' + cad['Id'] + '\',\'v\');"><span class="icon-eye"></span></a>';
						DetalleUl+="</div></li>";
					}
					
					tCampo++;
				}
				DetalleUl=DetalleUl.replace("nnn",tCampo);
				
				Detalle+="</tr>";
			}
			Detalle+="</table>";
		}else{
			alert("sino");
	    	}
	  	
		Detalle+="</div>";
		DetalleUl+="</ul>";  
	}
	Detalle=rpt_textos(Detalle);
	if(Detalle==""){Detalle="<div> <p style='margin-left:5px'>No hay registros!</p></div>"}
	
	document.getElementById("reporte").innerHTML=Detalle;
	document.getElementById("reporte").style.display="block";
	document.getElementById("reporte").style.height="auto";
		document.getElementById("reporte").style.maxHeight="60%";
	document.getElementById("reporte").style.width="100%";
	
	console.log(vJfunciones.length)
	
	if(vJfunciones.length>13){
		console.log(vJfunciones)
		vGnum=0;
		jGfunciones = JSON.parse(vJfunciones);
		filtrarl(jGfunciones.Datos[0].modulo,jGfunciones.Datos[0].objeto,jGfunciones.Datos[0].valor,jGfunciones.Datos[0].condicion,jGfunciones.Datos[0].modalidad,jGfunciones.Datos[0].lost);
	}else{
	}
}